Upstream information

CVE-2013-2944 at MITRE

Description

strongSwan 4.3.5 through 5.0.3, when using the OpenSSL plugin for ECDSA signature verification, allows remote attackers to authenticate as other users via an invalid signature.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 4.9 4.9
Vector AV:N/AC:M/Au:S/C:P/I:P/A:N AV:N/AC:M/Au:S/C:P/I:P/A:N
Access Vector Network Network
Access Complexity Medium Medium
Authentication Single Single
Confidentiality Impact Partial Partial
Integrity Impact Partial Partial
Availability Impact None None
SUSE Bugzilla entry: 815236 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP2
  • strongswan >= 4.4.0-6.17.2
  • strongswan-doc >= 4.4.0-6.17.2
Patchnames:
sledsp2-strongswan
SUSE Linux Enterprise Desktop 11 SP3
  • strongswan >= 4.4.0-6.17.5
  • strongswan-doc >= 4.4.0-6.17.5
Patchnames:
sledsp3-strongswan
SUSE Linux Enterprise Desktop 12
  • strongswan >= 5.1.3-4.1
  • strongswan-doc >= 5.1.3-4.1
  • strongswan-ipsec >= 5.1.3-4.1
  • strongswan-libs0 >= 5.1.3-4.1
Patchnames:
SUSE Linux Enterprise Desktop 12 GA strongswan
SUSE Linux Enterprise Desktop 12 SP1
  • strongswan >= 5.1.3-18.1
  • strongswan-doc >= 5.1.3-18.1
  • strongswan-ipsec >= 5.1.3-18.1
  • strongswan-libs0 >= 5.1.3-18.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA strongswan
SUSE Linux Enterprise Desktop 12 SP2
  • strongswan >= 5.1.3-22.1
  • strongswan-doc >= 5.1.3-22.1
  • strongswan-ipsec >= 5.1.3-22.1
  • strongswan-libs0 >= 5.1.3-22.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA strongswan
SUSE Linux Enterprise Desktop 12 SP3
  • strongswan >= 5.1.3-25.1
  • strongswan-doc >= 5.1.3-25.1
  • strongswan-ipsec >= 5.1.3-25.1
  • strongswan-libs0 >= 5.1.3-25.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA strongswan
SUSE Linux Enterprise Server 11 SP2
  • strongswan >= 4.4.0-6.17.2
  • strongswan-doc >= 4.4.0-6.17.2
Patchnames:
slessp2-strongswan
SUSE Linux Enterprise Server 11 SP3
  • strongswan >= 4.4.0-6.17.5
  • strongswan-doc >= 4.4.0-6.17.5
Patchnames:
slessp3-strongswan
SUSE Linux Enterprise Server 11 SP4
  • strongswan >= 4.4.0-6.25.1
  • strongswan-doc >= 4.4.0-6.25.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA strongswan
SUSE Linux Enterprise Server 12
  • strongswan >= 5.1.3-4.1
  • strongswan-doc >= 5.1.3-4.1
  • strongswan-ipsec >= 5.1.3-4.1
  • strongswan-libs0 >= 5.1.3-4.1
Patchnames:
SUSE Linux Enterprise Server 12 GA strongswan
SUSE Linux Enterprise Server 12 SP1
  • strongswan >= 5.1.3-18.1
  • strongswan-doc >= 5.1.3-18.1
  • strongswan-hmac >= 5.1.3-18.1
  • strongswan-ipsec >= 5.1.3-18.1
  • strongswan-libs0 >= 5.1.3-18.1
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA strongswan
SUSE Linux Enterprise Server 12 SP2
  • strongswan >= 5.1.3-22.1
  • strongswan-doc >= 5.1.3-22.1
  • strongswan-hmac >= 5.1.3-22.1
  • strongswan-ipsec >= 5.1.3-22.1
  • strongswan-libs0 >= 5.1.3-22.1
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA strongswan
SUSE Linux Enterprise Server 12 SP3
  • strongswan >= 5.1.3-25.1
  • strongswan-doc >= 5.1.3-25.1
  • strongswan-hmac >= 5.1.3-25.1
  • strongswan-ipsec >= 5.1.3-25.1
  • strongswan-libs0 >= 5.1.3-25.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA strongswan
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • strongswan >= 5.1.3-22.1
  • strongswan-doc >= 5.1.3-22.1
  • strongswan-hmac >= 5.1.3-22.1
  • strongswan-ipsec >= 5.1.3-22.1
  • strongswan-libs0 >= 5.1.3-22.1
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA strongswan
SUSE Linux Enterprise Server for VMWare 11 SP2
  • strongswan >= 4.4.0-6.17.2
  • strongswan-doc >= 4.4.0-6.17.2
Patchnames:
slessp2-strongswan
SUSE Linux Enterprise Server for VMWare 11 SP3
  • strongswan >= 4.4.0-6.17.5
  • strongswan-doc >= 4.4.0-6.17.5
Patchnames:
slessp3-strongswan
SUSE Linux Enterprise Server 10 SP4 for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 for IBM POWER
SUSE Linux Enterprise Server 10 SP4 for IBM zSeries 64bit
SUSE Linux Enterprise Server 10 SP4 for IPF
SUSE Linux Enterprise Server 10 SP4 for x86
  • strongswan >= 4.4.0-6.13.2
  • strongswan-doc >= 4.4.0-6.13.2
Builds
ZYPP Patch Nr: 8546
SUSE Linux Enterprise Desktop 11 SP3
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • strongswan >= 4.4.0-6.17.5
  • strongswan-doc >= 4.4.0-6.17.5
Builds
SAT Patch Nr: 8021
SUSE Linux Enterprise Desktop 11 SP2
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server 11 SP2 for VMware
  • strongswan >= 4.4.0-6.17.2
  • strongswan-doc >= 4.4.0-6.17.2
Builds
SAT Patch Nr: 7638
openSUSE Tumbleweed
  • strongswan >= 5.3.5-1.1
  • strongswan-doc >= 5.3.5-1.1
  • strongswan-hmac >= 5.3.5-1.1
  • strongswan-ipsec >= 5.3.5-1.1
  • strongswan-libs0 >= 5.3.5-1.1
  • strongswan-mysql >= 5.3.5-1.1
  • strongswan-nm >= 5.3.5-1.1
  • strongswan-sqlite >= 5.3.5-1.1
Patchnames:
openSUSE Tumbleweed GA strongswan


Status of this issue by product and package

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP1 strongswan Released
SUSE Linux Enterprise Desktop 11 SP2 strongswan Released
SUSE Linux Enterprise Desktop 11 SP3 strongswan Released
SUSE Linux Enterprise Desktop 11 SP4 strongswan Released
SUSE Linux Enterprise Server 10 SP3 strongswan Affected
SUSE Linux Enterprise Server 10 SP4 strongswan Released
SUSE Linux Enterprise Server 10 SP4 LTSS strongswan Released
SUSE Linux Enterprise Server 11 SP1 strongswan Released
SUSE Linux Enterprise Server 11 SP1 LTSS strongswan Released
SUSE Linux Enterprise Server 11 SP2 strongswan Released
SUSE Linux Enterprise Server 11 SP2 LTSS strongswan Released
SUSE Linux Enterprise Server 11 SP3 strongswan Released
SUSE Linux Enterprise Server 11 SP3 LTSS strongswan Released
SUSE Linux Enterprise Server 11 SP4 strongswan Released
SUSE Linux Enterprise Server for SAP 11 SP2 strongswan Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 strongswan Released
SUSE Linux Enterprise Server for SAP ES 11 SP1 strongswan Released